## lomiri-push-service 0.100.0

=== exec-tool/Makefile ===
INSTALL ?= install
PKG_CONFIG ?= pkg-config

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
prefix ?= /usr
libdir ?= $(prefix)/lib/$(DEB_HOST_MULTIARCH)

XCPPFLAGS := -DG_LOG_DOMAIN=\"lomiri-push-service-exec-tool\" $(shell pkg-config --cflags json-glib-1.0 gobject-2.0 gio-2.0 lomiri-app-launch-0)
XLDLIBS := $(shell pkg-config --libs json-glib-1.0 gobject-2.0 gio-2.0 lomiri-app-launch-0)

all: exec-tool exec-tool-test

check: exec-tool-test
	    env G_TEST_SRCDIR="$(CURDIR)" \
	    G_TEST_BUILDDIR="$(CURDIR)"   \
	    G_DEBUG=gc-friendly           \
	    MALLOC_CHECK_=2               \
	    MALLOC_PERTURB_=$$(($${RANDOM:-256} % 256)) \
	    ./exec-tool-test

.PHONY: all check clean install

exec-tool: CPPFLAGS += $(XCPPFLAGS)
exec-tool: CFLAGS += -std=c99 -pedantic -Wall -Wextra -g
exec-tool: LDLIBS += $(XLDLIBS)
exec-tool: find-helper.o

exec-tool-test: CPPFLAGS += $(XCPPFLAGS)
exec-tool-test: CFLAGS += -std=c99 -pedantic -Wall -Wextra -g
exec-tool-test: LDLIBS += $(XLDLIBS)
exec-tool-test: find-helper.o

install: all
	$(INSTALL) -m0755 -D exec-tool $(DESTDIR)$(libdir)/lomiri-app-launch/push-helper

clean:
	-rm -f exec-tool exec-tool-test *.o

=== debian/changelog ===
lomiri-push-service (0.100.0-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Apr 2025 15:35:41 +0200

lomiri-push-service (0.100.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1102200).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Apr 2025 13:18:52 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LOMIRI_PUSH_TEST_RESOURCES_ROOT := $(CURDIR)
export GODEBUG := cgocheck=0

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
  PROJECT_DH_OPTIONS += --with migrations
endif

%:
	dh $@ --builddirectory=_build $(PROJECT_DH_OPTIONS)

override_dh_auto_configure:
	dh_auto_configure
	cp -rp exec-tool/ _build/

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --buildsystem=makefile --builddirectory=_build/exec-tool

override_dh_auto_test:
	dh_auto_test --no-parallel
	dh_auto_test --no-parallel --buildsystem=makefile --builddirectory=_build/exec-tool

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=makefile --builddirectory=_build/exec-tool

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## lomiri-push-service 0.100.1

=== Makefile ===
# cgocheck=0 is a workaround for lp:1555198
GOTEST := GODEBUG=cgocheck=0 ./scripts/goctest

TOTEST = $(shell env GOPATH=$(GOPATH) go list ./...|grep -v acceptance )

all: build-client build-server

check:
	$(GOTEST) $(TESTFLAGS) $(TOTEST)

check-race:
	$(GOTEST) $(TESTFLAGS) -race $(TOTEST)

acceptance:
	cd server/acceptance && ./acceptance.sh

build-client: lomiri-push-service exec-tool

exec-tool:
	$(MAKE) -C exec-tool exec-tool

lomiri-push-service:
	go build ./cmd/$@

build-server: lomiri-push-server

run-server-dev: lomiri-push-server
	./$< sampleconfigs/dev.json

lomiri-push-server:
	go build ./cmd/$@

# very basic cleanup stuff; needs more work
clean:
	$(RM) \
	    lomiri-push-service \
	    lomiri-push-server \
	    exec-tool

distclean:
	git clean -f -x -d

coverage-summary:
	$(GOTEST) $(TESTFLAGS) -a -cover $(TOTEST)

coverage-html:
	mkdir -p coverhtml
	for pkg in $(TOTEST); do \
		relname="$${pkg#$(PROJECT)/}" ; \
		mkdir -p coverhtml/$$(dirname $${relname}) ; \
		$(GOTEST) $(TESTFLAGS) -a -coverprofile=coverhtml/$${relname}.out $$pkg ; \
		if [ -f coverhtml/$${relname}.out ] ; then \
	           go tool cover -html=coverhtml/$${relname}.out -o coverhtml/$${relname}.html ; \
	           go tool cover -func=coverhtml/$${relname}.out -o coverhtml/$${relname}.txt ; \
		fi \
	done

format:
	go fmt ./...

check-format:
	scripts/check_fmt ./...

protocol-diagrams: protocol/state-diag-client.svg protocol/state-diag-session.svg
%.svg: %.gv
	# requires graphviz installed
	dot -Tsvg $< > $@

.PHONY: acceptance all build-client build-server check check-format check-race clean coverage-html coverage-summary distclean exec-tool format lomiri-push-server lomiri-push-service protocol-diagrams run-server-dev

=== docs/Makefile ===
all: *txt *svg
	rst2html --link-stylesheet highlevel.txt highlevel.html
	rst2html --link-stylesheet lowlevel.txt lowlevel.html

=== exec-tool/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 exec-tool-test: find-helper.o
 
 install: all
-	$(INSTALL) -m0755 -D exec-tool $(DESTDIR)$(libdir)/lomiri-app-launch/push-helper
+	$(INSTALL) -m0755 -D exec-tool $(DESTDIR)$(libdir)/lomiri-app-launch/push-helper/exec-tool
 
 clean:
 	-rm -f exec-tool exec-tool-test *.o

=== debian/changelog ===
lomiri-push-service (0.100.1-1) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2025 14:24:23 +0200

lomiri-push-service (0.100.1-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release:
    - bus/, client/: fix/skip tests depending on DBus being available/mocked.
    - exec-tool/Makefile: fix install path of exec-tool.
    - service/{service,postal}: fix signatures of functions exported on DBus.
    - bus/endpoint: also make() nested map.
    - bus/endpoint: make WatchMethod() correctly export subtree.
    - bus/endpoint: add missing loop in handleSignals().
    - Make lomiri-push-service DBus-activatable to satisfy endpoint.go.
    - bus/endpoint: correct argument list of ListActivatableNames.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Apr 2025 09:41:48 +0200

=== debian/control ===
Source: lomiri-push-service
Section: net
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-exec,
 dh-sequence-golang,
 golang-github-mattn-go-sqlite3-dev,
 golang-github-google-uuid-dev,
 golang-any,
 golang-dbus-dev,
 golang-github-adrg-xdg-dev,
 golang-golang-x-net-dev,
 golang-gopkg-check.v1-dev,
 libclick-dev,
 libdbus-1-dev,
 libglib2.0-dev,
 libjson-glib-dev,
 libmessaging-menu-dev,
 liblomiri-app-launch-dev,
 liblomiri-url-dispatcher-dev,
 python3,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-push-service
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-push-service.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-push-service
XS-Go-Import-Path: gitlab.com/ubports/development/core/lomiri-push-service

Package: lomiri-push-service
Architecture: any
Multi-Arch: foreign
Depends:
 lomiri-account-polld,
 dbus,
 lomiri-url-dispatcher,
 network-manager,
 qml-module-lomiri-notifications | notification-daemon,
 python3:any,
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Lomiri Push Notifications client-side daemon
 Protocol, client, and server code for Lomiri Push Notifications.
 .
 The Lomiri Push Notifications client-side daemon.

Package: golang-gitlab-ubports-development-core-lomiri-push-service-dev
Section: golang
Architecture: all
Depends:
 ${misc:Depends},
Description: Lomiri Push Notifications client-side daemon development package
 Protocol, client, and server code for Lomiri Push Notifications.
 .
 The Lomiri Push Notifications client-side daemon library.
 .
 This package contains the Go module's source code.

Package: lomiri-push-server
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Lomiri Push Notifications server
 Protocol, client, and server code for Lomiri Push Notifications.
 .
 The Lomiri Push Notifications server.

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,8 @@
 export LOMIRI_PUSH_TEST_RESOURCES_ROOT := $(CURDIR)
 export GODEBUG := cgocheck=0
 
-ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
-  PROJECT_DH_OPTIONS += --with migrations
-endif
-
 %:
-	dh $@ --builddirectory=_build $(PROJECT_DH_OPTIONS)
+	dh $@ --builddirectory=_build
 
 override_dh_auto_configure:
 	dh_auto_configure
